#ifndef ANIMATEDTBUTTON_H
#define ANIMATEDTBUTTON_H

#include <QEvent>
#include <QPushButton>
#include <QObject>


/*!
 * \brief The AnimatedtButton class.
 */
class AnimatedtButton : public QPushButton
{
    Q_OBJECT
public:
    /*!
     * \brief AnimatedtButton constructor.
     * \param parent Parent's widget of the button.
     */
    AnimatedtButton(QWidget * parent = 0);

protected:

    /*!
     * \brief enterEvent Mouse enter button event.
     * \param e Event.
     */
    void enterEvent(QEvent *e);

    /*!
     * \brief leaveEvent Mouse leave button event.
     * \param e Event.
     */
    void leaveEvent(QEvent *e);

private slots:

    /*!
     * \brief resetStyle Restore the default button stylesheet.
     */
    void resetStyle();

signals:

    /*!
     * \brief backExit Signal emited when the cursor leaves the button.
     */
    void backExit();

};
#endif // ANIMATEDTBUTTON_H
